
varying vec2 texCoord;
varying vec2 maskTexCoord;
varying vec2 originalImageCoord;

#ifdef VERTEX_SHADER

void main(void)
{
    gl_Position = vec4(atbCoord, 0.0, 1.0);
    originalImageCoord = atbCoord * 0.5 + 0.5;
    texCoord = atbTexCoord;
    maskTexCoord = atbMaskTexCoord;
}

#endif


#ifdef FRAGMENT_SHADER

#include "shaders/common/definedBlendMode.glsl"

void main(void)
{
    vec4 color = texture2D(uniTexture, texCoord);
    color.a *= texture2D(uniMask, maskTexCoord).r;
    color.a *= uniAlpha;

    #ifdef COMPLEX_BLEND
        #ifdef FETCH_FRAMEBUFFER
            vec3 originalColor = gl_LastFragData[0].rgb;
        #else
            vec3 originalColor = texture2D(uniOriginalImage, originalImageCoord).rgb;
        #endif

        color.rgb = definedBlend(originalColor, color.rgb);
    #endif

    gl_FragColor = color;
}

#endif
