// attribute vec2 atbPos

varying vec2 texCoord;

#ifdef VERTEX_SHADER

void main()
{
    texCoord = atbPos * 0.5 + 0.5;
    gl_Position = vec4(atbPos, 0.0, 1.0);
}

#endif // VERTEX_SHADER

#ifdef FRAGMENT_SHADER

// uniform sampler2D uniImage;
// uniform sampler2D uniNoise;
// uniform vec2 uniInvResolution;
// uniform vec2 uniPoisson[];

void main()
{
    float blurRadius = 6.0;
    float alpha = 0.0;
    vec2 samplePos, uv;
    
    // uniform arrays or cycles doesn't work on some Androids
    samplePos = vec2(-0.517305, -0.088537) * blurRadius;
    uv = (gl_FragCoord.xy + samplePos) * uniInvResolution;
    alpha += texture2D(uniImage, uv).a;
    samplePos = vec2(0.323062, -0.011652) * blurRadius;
    uv = (gl_FragCoord.xy + samplePos) * uniInvResolution;
    alpha += texture2D(uniImage, uv).a;
    samplePos = vec2(0.695463, 0.545146) * blurRadius;
    uv = (gl_FragCoord.xy + samplePos) * uniInvResolution;
    alpha += texture2D(uniImage, uv).a;
    samplePos = vec2(-0.246473, 0.642339) * blurRadius;
    uv = (gl_FragCoord.xy + samplePos) * uniInvResolution;
    alpha += texture2D(uniImage, uv).a;
    samplePos = vec2(0.857886, -0.307449) * blurRadius;
    uv = (gl_FragCoord.xy + samplePos) * uniInvResolution;
    alpha += texture2D(uniImage, uv).a;
    samplePos = vec2(-0.860246, 0.430376) * blurRadius;
    uv = (gl_FragCoord.xy + samplePos) * uniInvResolution;
    alpha += texture2D(uniImage, uv).a;
    samplePos = vec2(-0.282363, -0.669955) * blurRadius;
    uv = (gl_FragCoord.xy + samplePos) * uniInvResolution;
    alpha += texture2D(uniImage, uv).a;
    samplePos = vec2(0.432540, -0.647950) * blurRadius;
    uv = (gl_FragCoord.xy + samplePos) * uniInvResolution;
    alpha += texture2D(uniImage, uv).a;
    
    gl_FragColor = vec4(0.0, 0.0, 0.0, alpha/8.0);
}

#endif // FRAGMENT_SHADER